Overview | Modules | Class Hierarchy | Classes | Members

# tlp::DataType Struct Reference

`#include <Reflect.h>`

Inherits tlp::DataMem.

Inheritance diagram for tlp::DataType:

[legend]
Collaboration diagram for tlp::DataType:

[legend]
List of all members.

## Public Member Functions

- DataType ()
- DataType (void *value, const std::string &typeName)
- virtual DataType * clone () const =0

## Public Attributes

- void * value
- std::string typeName

## Constructor & Destructor Documentation

tlp::DataType::DataType | ( |  | ) | `[inline]`

tlp::DataType::DataType | ( | void * | value,
|  | const std::string & | typeName
| ) | `[inline]`

## Member Function Documentation

virtual DataType* tlp::DataType::clone | ( |  | ) | const`[pure virtual]`

## Member Data Documentation

std::string tlp::DataType::typeName

void* tlp::DataType::value

Tulip Software by LaBRI Visualization Team 2001 - 2010